Debian Bug report logs - #513616
force minimum MTU above 576

version graph

Package: dhcp3; Maintainer for dhcp3 is (unknown);

Reported by: Kees Cook <kees@debian.org>

Date: Fri, 30 Jan 2009 18:36:01 UTC

Severity: normal

Tags: patch

Found in version 3.1.1-5

Fixed in version dhcp3/3.1.2-1

Done: Andrew Pollock <apollock@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Andrew Pollock <apollock@debian.org>:
Bug#513616; Package dhcp3. (Fri, 30 Jan 2009 18:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kees Cook <kees@debian.org>:
New Bug report received and forwarded. Copy sent to Andrew Pollock <apollock@debian.org>. (Fri, 30 Jan 2009 18:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kees Cook <kees@debian.org>
To: Debian Bugs <submit@bugs.debian.org>
Subject: force minimum MTU above 576
Date: Fri, 30 Jan 2009 10:33:04 -0800
[Message part 1 (text/plain, inline)]
Package: dhcp3
Version: 3.1.1-5
Severity: normal
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu jaunty ubuntu-patch

Hello!

It seems that at least one provider (Comcast) issues interface-mtu
responses set to 576.  This breaks a number of things, and it seems that
the 576 MTU is, in fact, not at all in general use.  It is a setting
specific to X.25 and to dialup interfaces seeking lower latency[1].
Those using protocol-breaking low MTUs for dialup are doing so knowing
the trade-offs, have set the MTU manually already, and shouldn't be
affected by dhclient ignoring such values.

I'd like to propose this patch to allow the interface-mtu request for
people that need it (PPPoE @ 1492, etc), without breaking people that
are unlucky enough to be requesting DHCP from crazy broken devices that
like to offer 576 as a sane MTU.

Thanks!

-Kees

[1] http://www.tldp.org/HOWTO/text/Leased-Line

-- 
Kees Cook                                            @debian.org
[ignore-below-576.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#513616; Package dhcp3. (Thu, 02 Apr 2009 14:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. (Thu, 02 Apr 2009 14:18:03 GMT) Full text and rfc822 format available.

Message #10 received at 513616@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: control@bugs.debian.org
Cc: 407667@bugs.debian.org, 513616@bugs.debian.org, 515756@bugs.debian.org
Subject: setting package to dhcp3-client-udeb dhcp3-client dhcp3-common dhcp3 dhcp3-relay dhcp3-server-ldap dhcp3-server dhcp-client dhcp3-dev ...
Date: Thu, 02 Apr 2009 07:16:26 -0700
# Automatically generated email from bts, devscripts version 2.10.35lenny3
# via tagpending 
#
# dhcp3 (3.1.2-1) unstable; urgency=low
#
#  * debian/dhclient-script.linux: apply patch from Kees Cook to ignore
#    DHCP-supplied MTUs below 576 (closes: #513616)
#  * debian/dhclient.conf: (re)add ntp-servers to the request list (closes:
#    #407667)
#  * debian/rfc3442-classless-routes: also run for REBOOT reason (closes:
#    #515756)
#

package dhcp3-client-udeb dhcp3-client dhcp3-common dhcp3 dhcp3-relay dhcp3-server-ldap dhcp3-server dhcp-client dhcp3-dev
tags 513616 + pending
tags 407667 + pending
tags 515756 + pending





Tags added: pending Request was from Andrew Pollock <apollock@debian.org> to control@bugs.debian.org. (Thu, 02 Apr 2009 14:18:07 GMT) Full text and rfc822 format available.

Reply sent to Andrew Pollock <apollock@debian.org>:
You have taken responsibility. (Sat, 04 Apr 2009 16:09:03 GMT) Full text and rfc822 format available.

Notification sent to Kees Cook <kees@debian.org>:
Bug acknowledged by developer. (Sat, 04 Apr 2009 16:09:04 GMT) Full text and rfc822 format available.

Message #17 received at 513616-close@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: 513616-close@bugs.debian.org
Subject: Bug#513616: fixed in dhcp3 3.1.2-1
Date: Sat, 04 Apr 2009 15:47:05 +0000
Source: dhcp3
Source-Version: 3.1.2-1

We believe that the bug you reported is fixed in the latest version of
dhcp3, which is due to be installed in the Debian FTP archive:

dhcp-client_3.1.2-1_all.deb
  to pool/main/d/dhcp3/dhcp-client_3.1.2-1_all.deb
dhcp3-client-udeb_3.1.2-1_i386.udeb
  to pool/main/d/dhcp3/dhcp3-client-udeb_3.1.2-1_i386.udeb
dhcp3-client_3.1.2-1_i386.deb
  to pool/main/d/dhcp3/dhcp3-client_3.1.2-1_i386.deb
dhcp3-common_3.1.2-1_i386.deb
  to pool/main/d/dhcp3/dhcp3-common_3.1.2-1_i386.deb
dhcp3-dev_3.1.2-1_i386.deb
  to pool/main/d/dhcp3/dhcp3-dev_3.1.2-1_i386.deb
dhcp3-relay_3.1.2-1_i386.deb
  to pool/main/d/dhcp3/dhcp3-relay_3.1.2-1_i386.deb
dhcp3-server-ldap_3.1.2-1_i386.deb
  to pool/main/d/dhcp3/dhcp3-server-ldap_3.1.2-1_i386.deb
dhcp3-server_3.1.2-1_i386.deb
  to pool/main/d/dhcp3/dhcp3-server_3.1.2-1_i386.deb
dhcp3_3.1.2-1.diff.gz
  to pool/main/d/dhcp3/dhcp3_3.1.2-1.diff.gz
dhcp3_3.1.2-1.dsc
  to pool/main/d/dhcp3/dhcp3_3.1.2-1.dsc
dhcp3_3.1.2.orig.tar.gz
  to pool/main/d/dhcp3/dhcp3_3.1.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 513616@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andrew Pollock <apollock@debian.org> (supplier of updated dhcp3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 01 Apr 2009 22:26:51 -0700
Source: dhcp3
Binary: dhcp3-server dhcp3-server-ldap dhcp3-common dhcp3-dev dhcp-client dhcp3-client dhcp3-client-udeb dhcp3-relay
Architecture: source i386 all
Version: 3.1.2-1
Distribution: unstable
Urgency: low
Maintainer: Andrew Pollock <apollock@debian.org>
Changed-By: Andrew Pollock <apollock@debian.org>
Description: 
 dhcp-client - DHCP client transitional package
 dhcp3-client - DHCP client
 dhcp3-client-udeb - DHCP Client for debian-installer (udeb)
 dhcp3-common - common files used by all the dhcp3* packages
 dhcp3-dev  - API for accessing and modifying the DHCP server and client state
 dhcp3-relay - DHCP relay daemon
 dhcp3-server - DHCP server for automatic IP address assignment
 dhcp3-server-ldap - DHCP server able to use LDAP as backend
Closes: 407667 513616 515756
Changes: 
 dhcp3 (3.1.2-1) unstable; urgency=low
 .
   * New upstream release
   * Removed pretty_print_option() patch (incorporated upstream)
   * debian/dhclient-script.linux: apply patch from Kees Cook to ignore
     DHCP-supplied MTUs below 576 (closes: #513616)
   * debian/dhclient.conf: (re)add ntp-servers to the request list (closes:
     #407667)
   * debian/rfc3442-classless-routes: also run for REBOOT reason (closes:
     #515756)
   * debian/control: bumped Standards-Version (no changes)
   * debian/compat: bump compatibility to 5
   * debian/dhcp3-server.NEWS: adjust indenting to please Lintian
   * debian/control: added ${misc:Depends} to dependencies of dhcp-client and
     dhcp3-dev
Checksums-Sha1: 
 a7cab6363799c5a0b9d4a97d8a371100c5409bfa 1168 dhcp3_3.1.2-1.dsc
 a60cccec2402a35025ddaafc8ac896595188560e 799626 dhcp3_3.1.2.orig.tar.gz
 31f31866dd0e82f79664b913707a843919c02baf 130404 dhcp3_3.1.2-1.diff.gz
 88675521f9f700c3f1e763d6c481924deffb666b 332538 dhcp3-server_3.1.2-1_i386.deb
 6724eaaeea945b055cd1d5f152eebb4ad5084c11 286458 dhcp3-server-ldap_3.1.2-1_i386.deb
 f72297c499a8a186597f7ae67c56e3476387024e 290244 dhcp3-common_3.1.2-1_i386.deb
 bdbd0bd47a8df1a39f1272191c5d079a984606ad 105766 dhcp3-dev_3.1.2-1_i386.deb
 fa466de96cd44fea5c7c9eaea27adc9d157ef20b 23108 dhcp-client_3.1.2-1_all.deb
 89b4eaa2b21ec93f7966bc1cb7270114973c5b51 222968 dhcp3-client_3.1.2-1_i386.deb
 e63105552f7826618a66260a2214cb37934e3ed5 166752 dhcp3-client-udeb_3.1.2-1_i386.udeb
 3ad5ae250c83945e2d789946e5af9e65ff74714d 102208 dhcp3-relay_3.1.2-1_i386.deb
Checksums-Sha256: 
 063b562729b51e2d253aceb6fadfed10bde8c4900c8fc71992104664eabc9985 1168 dhcp3_3.1.2-1.dsc
 80daba1e4ac220a0945778aa3c1c9eb7860c4426645660bebb8ed35a3231a2fb 799626 dhcp3_3.1.2.orig.tar.gz
 80812a166dcc4d9f35c9c12b974e99dfb09e8ffdb8fd5010861f886f6fde823b 130404 dhcp3_3.1.2-1.diff.gz
 968045a927111862752567860b358f4df0f386be1bc2981a3cc01a3fe639b03d 332538 dhcp3-server_3.1.2-1_i386.deb
 d2f7a70eee75b31705b5a59d32416073595027177a146427d19501b015f151c2 286458 dhcp3-server-ldap_3.1.2-1_i386.deb
 ff0d7ddf8542eca56bfaca17e63aeea4379b0f10be6817f9d90103a05f9eee98 290244 dhcp3-common_3.1.2-1_i386.deb
 cdc0954ef270c4c16d0fbf5efb489c9dd70729859095e8f3215e1215fc07ad51 105766 dhcp3-dev_3.1.2-1_i386.deb
 d5599f03216913024d179f9dba0be149f1a1bb80a9545bc9b9ce6a9761b98b56 23108 dhcp-client_3.1.2-1_all.deb
 8fbfb112b8c9d84c650cd664a438b5f1dd027a3ab153465112bcc2ac88a3ea05 222968 dhcp3-client_3.1.2-1_i386.deb
 cf5a0742140704593d22b05853e6d2ef53d7ecd6ad62fc063a3a315208d460f4 166752 dhcp3-client-udeb_3.1.2-1_i386.udeb
 3b55a91bfff02ac68286014b6ee5160b6c81108062f70221efbd7bbb927913f5 102208 dhcp3-relay_3.1.2-1_i386.deb
Files: 
 4f725c207cbd2cf18181d1791585422f 1168 net important dhcp3_3.1.2-1.dsc
 85901a9554650030df7d1ef3e5959fdf 799626 net important dhcp3_3.1.2.orig.tar.gz
 f073ecd68a514b3a03309f7ab84768e3 130404 net important dhcp3_3.1.2-1.diff.gz
 c804994cabbaf66002c5161da1fd217b 332538 net optional dhcp3-server_3.1.2-1_i386.deb
 0b436a5152c229b8471f408b3d5e3a87 286458 net optional dhcp3-server-ldap_3.1.2-1_i386.deb
 e42eb92dec0acb086a54b5f3d4169a7f 290244 net important dhcp3-common_3.1.2-1_i386.deb
 3d630badf0ba69203c6428117a03a68e 105766 devel optional dhcp3-dev_3.1.2-1_i386.deb
 828cb469edbbd70bf3e89d6468f97511 23108 net extra dhcp-client_3.1.2-1_all.deb
 d762bb7843143371351c2c3a133e79d1 222968 net important dhcp3-client_3.1.2-1_i386.deb
 15363e4e9af8523a423ca3ddda943684 166752 debian-installer extra dhcp3-client-udeb_3.1.2-1_i386.udeb
 b900de167768ed4f0400a41f3a20659b 102208 net optional dhcp3-relay_3.1.2-1_i386.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAknU01AACgkQIblXXKfZFgK6nQCgr7s28qYrlMAA7R6J9nM3FPOq
YCoAoLafxNLctyLv/FXcZ/VoREIsEeU5
=L/Au
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 24 Jul 2009 07:29:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:33:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.